<?xml version="1.0" encoding="utf-8"?>
<layout xmlns:android="http://schemas.android.com/apk/res/android">

    <data>
        <variable
            name="bean"
            type="com.lukouguoji.module_base.bean.GnjUnloadListBean" />
    </data>

    <LinearLayout
        android:id="@+id/ll"
        shape_bg_color="@{@color/white}"
        shape_radius="@{5}"
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:layout_marginHorizontal="10dp"
        android:layout_marginVertical="5dp"
        android:background="@color/white"
        android:gravity="center_vertical"
        android:paddingHorizontal="10dp"
        android:paddingVertical="5dp">

        <ImageView
            setIVCheckImage="@{bean.checked}"
            android:layout_width="22dp"
            android:layout_height="22dp"
            android:onClick="@{()-> bean.checkedClick()}"
            android:src="@drawable/img_p_check_s" />


        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:layout_marginLeft="10dp"
            android:orientation="vertical">


                <LinearLayout
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:gravity="center_vertical"
                    android:paddingVertical="5dp">
                    <TextView
                        completeSpace="@{5}"
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:text="平板车"
                        android:textColor="@color/text_normal"
                        android:textStyle="bold" />

                    <TextView
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:text="@{bean.carId}"
                        android:layout_marginStart="10dp"
                        android:textColor="@color/text_normal"
                        android:textStyle="bold" />
                </LinearLayout>

                <LinearLayout
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:gravity="center_vertical"
                    android:paddingVertical="5dp">

                    <TextView
                        completeSpace="@{5}"
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:text="确认人"
                        android:textColor="@color/text_normal" />

                    <TextView
                        android:layout_width="0dp"
                        android:layout_height="wrap_content"
                        android:layout_weight="0.7"
                        android:layout_marginStart="10dp"
                        android:text="@{bean.opId}"
                        android:textColor="@color/text_normal"/>
                </LinearLayout>

            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:gravity="center_vertical"
                android:paddingVertical="5dp">
                <TextView
                    completeSpace="@{5}"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:text="确认时间"
                    android:textColor="@color/text_normal" />

                <TextView
                    android:layout_width="0dp"
                    android:layout_height="wrap_content"
                    android:layout_weight="1.7"
                    android:layout_marginStart="10dp"
                    android:text="@{bean.opDate}"
                    android:textColor="@color/text_normal"/>
            </LinearLayout>

            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:gravity="center_vertical"
                android:paddingVertical="5dp">
                <TextView
                    completeSpace="@{5}"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:text="转运目的地"
                    android:textColor="@color/text_normal" />

                <TextView
                    android:layout_width="0dp"
                    android:layout_height="wrap_content"
                    android:layout_weight="1.7"
                    android:layout_marginStart="10dp"
                    android:text="@{bean.transDestName}"
                    android:textColor="@color/text_normal"/>
            </LinearLayout>

        </LinearLayout>
        </LinearLayout>
</layout>